GrailsTagLibClass (Grails 3.1.7)
Date: 2016-05-19

Package: grails.core

## [Java] Interface GrailsTagLibClass

- grails.core.GrailsClass

- All Superinterfaces:
    InjectableGrailsClass, GrailsApplicationAware, GrailsClass

  Represents a Grails tab library class.

  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `java.lang.String` | `DEFAULT_ENCODE_AS_FIELD_NAME` |
    `java.lang.String` | `DEFAULT_NAMESPACE` |
    `java.lang.String` | `ENCODE_AS_FOR_TAGS_FIELD_NAME` |
    `java.lang.String` | `NAMESPACE_FIELD_NAME` |
    `java.lang.String` | `RETURN_OBJECT_FOR_TAGS_FIELD_NAME` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `getDefaultEncodeAs()`
    `java.lang.Object` | `getEncodeAsForTag(java.lang.String tagName)`
    `java.lang.String` | `getNamespace()` @return the namespace that this taglib occupies.
    `java.util.Set<java.lang.String>` | `getTagNames()` @return The tag names in this library
    `java.util.Set<java.lang.String>` | `getTagNamesThatReturnObject()`
    `boolean` | `hasTag(java.lang.String tagName)` @param tagName The name of the tag

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface InjectableGrailsClass` | `byName, byType, getAvailable`
    `interface GrailsClass` | `getApplication, getClazz, getFullName, getGrailsApplication, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPluginName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getReferenceInstance, getShortName, hasProperty, isAbstract, newInstance`
    `interface GrailsApplicationAware` | `setGrailsApplication`

- - ### Field Detail

    - #### public java.lang.String DEFAULT_ENCODE_AS_FIELD_NAME

    - #### public java.lang.String DEFAULT_NAMESPACE

    - #### public java.lang.String ENCODE_AS_FOR_TAGS_FIELD_NAME

    - #### public java.lang.String NAMESPACE_FIELD_NAME

    - #### public java.lang.String RETURN_OBJECT_FOR_TAGS_FIELD_NAME

  - ### Method Detail

    - #### public java.lang.Object getDefaultEncodeAs()

    - #### public java.lang.Object getEncodeAsForTag(java.lang.String tagName)

    - #### public java.lang.String getNamespace()

      Returns:
        the namespace that this taglib occupies.

    - #### public java.util.Set<java.lang.String> getTagNames()

      Returns:
        The tag names in this library

    - #### public java.util.Set<java.lang.String> getTagNamesThatReturnObject()

    - #### public boolean hasTag(java.lang.String tagName)

      Parameters:
        `tagName` - The name of the tag
      Returns:
        Whether the tag library contains the specified tag